Bug Hunting Session
Bug 84898 - show LibO version in the Start Center
Summary: show LibO version in the Start Center
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: Other All
: low enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Start-Center
  Show dependency treegraph
 
Reported: 2014-10-11 07:05 UTC by ratrace
Modified: 2014-11-19 12:59 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ratrace 2014-10-11 07:05:40 UTC
Hello,

i think it would be helpful, in the left side of the start up screen of libreoffice, somewhere above the buttons "help" and "extensions", to be able to see the version of libreoffice i'm using.

I need that information because it is essential when i want to ask a question in http://ask.libreoffice.org or fill in a bug report, so maybe it should be available in a more accessible place in the program.

Thanks.
Comment 1 tommy27 2014-10-11 09:21:40 UTC
I'd like it too. I set status to NEW and add it to Start Center metabug.
Comment 2 Urmas 2014-10-11 12:06:54 UTC
It doesn't belong there, as it is completely useless.
Such information should be available in the About dialog, where it has its place.
The presence of unneeded parts is a sign of shoddy design.
Comment 3 V Stuart Foote 2014-10-11 14:20:03 UTC
(In reply to ratrace from comment #0)
>... to be able to see the version of libreoffice i'm using.
> 
> I need that information because it is essential when i want to ask a
> question in http://ask.libreoffice.org or fill in a bug report, so maybe it
> should be available in a more accessible place in the program.

That information is already available on every build in the Help --> About LibreOffice

From Design and Marketing perspective, build or branch ID has never been a design or branding component for LibreOffice--unlike the color scheme and the corner filets (triangles).

That said, a stylized X.y.z (e.g. 4.3.3) might be an appropriate design element, but suspect rendering like that would not give the refined detail needed for reporting issues or seeking help. That is already available as noted.

Lets see what the Design/UX and Marketing folks have to say as to merit.
Comment 4 V Stuart Foote 2014-10-11 14:22:43 UTC
A Design element enhancement, no affected version--so setting to current master (4.4.0alpha0+)
Comment 5 Emir Sarı (away) 2014-10-11 15:10:55 UTC
IMHO, this has no place in modern software UI design principles, I cannot relate to this anywhere. 

This would only make LO look like more 90-ish.
Comment 6 Adolfo Jayme 2014-10-11 16:44:49 UTC
It’s got nothing to do with the nineties, Emir, surely you have better arguments.

But I’ll mark this WONTFIX anyway because it’s easy enough to open the About dialog. See also bug 73803 comment 1, I won’t repeat myself.
Comment 7 Luke 2014-10-11 22:01:16 UTC
With "Help --> About" accessible from the start center, I see absolutely NO need for this. It doesn't belong there cluttering up the UI.
Comment 8 tommy27 2014-10-12 07:56:28 UTC
Well you are right  guys